> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment debug archive

> Gets presigned download URLs for a Loops deployment's debug archive.



## OpenAPI

````yaml get /v1/loops/deployments/{deployment_id}/debug_archive/files
openapi: 3.1.0
info:
  description: REST API for management of Baseten resources
  title: Baseten management API
  version: 1.0.0
servers:
  - url: https://api.baseten.co
security:
  - BearerAuth: []
paths:
  /v1/loops/deployments/{deployment_id}/debug_archive/files:
    parameters:
      - $ref: '#/components/parameters/deployment_id'
    get:
      summary: Gets Loops debug archive files
      description: Gets presigned download URLs for a Loops deployment's debug archive.
      parameters:
        - name: page_size
          in: query
          required: false
          description: Max files per page (default and maximum 1000).
          schema:
            default: 1000
            maximum: 1000
            minimum: 1
            title: Page Size
            type: integer
        - name: page_token
          in: query
          required: false
          description: Opaque token for the next page.
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
            title: Page Token
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoopsDebugArchiveFilesResponseV1'
      x-codeSamples:
        - lang: bash
          source: >
            curl --request GET \

            --url
            https://api.baseten.co/v1/loops/deployments/{deployment_id}/debug_archive/files
            \

            --header "Authorization: Bearer $BASETEN_API_KEY"
        - lang: python
          source: >-
            import requests

            import os

            API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")

            url =
            "https://api.baseten.co/v1/loops/deployments/{deployment_id}/debug_archive/files"


            headers = {"Authorization": f"Bearer {API_KEY}"}


            response = requests.request(
                "GET",
                url,
                headers=headers,
                params={'page_token': None}
            )


            print(response.text)
components:
  parameters:
    deployment_id:
      schema:
        type: string
      name: deployment_id
      in: path
      required: true
  schemas:
    LoopsDebugArchiveFilesResponseV1:
      description: Response with presigned URLs for a Loops deployment's debug archive.
      properties:
        presigned_urls:
          items:
            $ref: '#/components/schemas/CheckpointFile'
          title: Presigned Urls
          type: array
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Next Page Token
      required:
        - presigned_urls
      title: LoopsDebugArchiveFilesResponseV1
      type: object
    CheckpointFile:
      properties:
        url:
          title: Url
          type: string
        relative_file_name:
          title: Relative File Name
          type: string
        node_rank:
          title: Node Rank
          type: integer
        size_bytes:
          title: Size Bytes
          type: integer
        last_modified:
          title: Last Modified
          type: string
      required:
        - url
        - relative_file_name
        - node_rank
        - size_bytes
        - last_modified
      title: CheckpointFile
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Send `Authorization: Bearer <api_key>`. The legacy `Authorization:
        Api-Key <api_key>` scheme is also accepted.

````